let PillarTable = pillar.vuecomponents.table.PillarTable;
import {AssetColumnFactory} from './columns/AssetColumnFactory'
import {AssetRowsSource} from './rows/AssetRowsSource'
import {RowFilter} from '../attracttable/filter/RowFilter'

const TEMPLATE =`
<div class="pillar-table-actions">
    <button class="action"
        v-if="canAddAsset"
        @click="createNewAsset"
    >
        <i class="pi-plus">New Asset</i>
    </button>
</div>
`;

let TableActions = {
    template: TEMPLATE,
    computed: {
        canAddAsset() {
            let projectId = ProjectUtils.projectId();
            return attract.auth.AttractAuth.canUserCreateAsset(projectId);
        }
    },
    methods: {
        createNewAsset(event) {
            thenCreateAsset(ProjectUtils.projectUrl())
            .then((asset) => {
                this.$emit('item-clicked', event, asset._id);
            });
        }
    },
}

let AssetsTable = Vue.component('attract-assets-table', {
    extends: PillarTable,
    props: {
        project: Object
    },
    data() {
        return {
            columnFactory: new AssetColumnFactory(this.project),
            rowsSource: new AssetRowsSource(this.project._id),
        }
    },
    components: {
        'pillar-table-actions': TableActions,
        'pillar-table-row-filter': RowFilter,
    }
});

export { AssetsTable };
