let PillarTable = pillar.vuecomponents.table.PillarTable;
import {ShotsColumnFactory} from './columns/ShotsColumnFactory'
import {ShotRowsSource} from './rows/ShotRowsSource'
import {RowFilter} from '../attracttable/filter/RowFilter'

let ShotsTable = Vue.component('attract-shots-table', {
    extends: PillarTable,
    props: {
        project: Object
    },
    data() {
        return {
            columnFactory: new ShotsColumnFactory(this.project),
            rowsSource: new ShotRowsSource(this.project._id),
        }
    },
    components: {
        'pillar-table-row-filter': RowFilter,
    },
});

export { ShotsTable }
